> For the complete documentation index, see [llms.txt](https://docs.imerit.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/exportv3.md).

# exportV3

`imerit_ango.sdk.SDK.`

## exportV3(project\_id, options, zip\_file\_path)

Export annotated assets together with labels and metadata. Users can customize the export process using an instance of the ExportOptions class and specify the output location.

### Parameters

* **project\_id:** string
  * The unique identifier for the project. You can find the project ID in [the user interface](/sdk/sdk-documentation.md#project-ids) or retrieve it using the [`list_projects`](/sdk/sdk-documentation/project-level-sdk-functions/list_projects.md) function.
* **options:** ExportOptions, *default ExportOptions()*
  * An instance of the `ExportOptions` class, which defines the configurations for the export operation.
  * **ExportOptions** class
    * **stage:** List\[str], *default \['Complete']*
      * A list of stage IDs.
      * Example: \['Complete', 'a0000b0a-1111-0a00-a1a1-a111111111aa']
      * **Note:** Pass an empty list to get all stages
    * **batches:** List\[str], *default None*
    * **export\_format:** ExportFormats, *default ExportFormats.JSON*
      * **Options:**
        * ExportFormats.JSON
        * ExportFormats.NDJSON
      * **Note:** You must import the enum containing the export formats using\
        `from imerit_ango.models.enums import ExportFormats`
    * **export\_type:** ExportTypes, *default ExportTypes.TASK*
      * **Options:**
        * ExportTypes.TASK
        * ExportTypes.ISSUE
      * **Note:** You must import the enum containing the export types using\
        `from imerit_ango.models.enums import ExportTypes`
    * **include\_key\_frames\_only:** bool, *default False*
    * **sendEmail:** bool, *default False*
    * **includeMetadata:** bool, *default True*
    * **includeHistory:** bool, *default True*
    * **doNotNotify:** bool, *default True*
    * **updated\_at:** TimeFilter, *default None*
    * **created\_at:** TimeFilter, *default None*
  * **TimeFilter** class
    * **from\_date:** datetime, *default None*
    * **to\_date:** datetime, *default None*
    * **Note:** You must import the `datetime` package:\
      `from datetime import datetime`
* **zip\_file\_path**: string, optional, *default None*
  * If included, the export will be directly downloaded as a .zip file instead of being returned as a Python dictionary. This prevents our server from having to unzip and dict-ify the export, reducing loading times.
  * **Example:** `"/Users/username/Downloads/my_export.zip"`

Returns:

* **output:** list
  * A list containing the result of the export operation.

### Example

Export all assets:

```python
import os
from dotenv import load_dotenv
from imerit_ango.sdk import SDK

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')
project_id = os.getenv('PROJECT_ID')

ango_sdk = SDK(api_key)

export_data = ango_sdk.exportV3(project_id)
```

Export assets filtered by created and updated time:

<pre class="language-python"><code class="lang-python"><strong>import os
</strong>from dotenv import load_dotenv
from imerit_ango.sdk import SDK
from datetime import datetime, timedelta
from imerit_ango.models.enums import ExportFormats
from imerit_ango.models.export_options import ExportOptions, TimeFilter

load_dotenv('variables.env')
api_key = os.getenv('API_KEY')
project_id = os.getenv('PROJECT_ID')

ango_sdk = SDK(api_key)

export_options = ExportOptions(export_format=ExportFormats.JSON,
                               updated_at=TimeFilter(from_date=datetime.now() - timedelta(days=7), to_date=datetime.now()),
                               created_at=TimeFilter(from_date=datetime.now() - timedelta(days=30), to_date=datetime.now()),
                               stage=["Complete"])

export_data = ango_sdk.exportV3(project_id, options=export_options)
</code></pre>

{% hint style="info" %}
**See also**

[get\_assets](/sdk/sdk-documentation/project-level-sdk-functions/get_assets.md), [get\_tasks](/sdk/sdk-documentation/project-level-sdk-functions/get_tasks.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.imerit.net/sdk/sdk-documentation/project-level-sdk-functions/exportv3.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
